Subject: S-BFD Documents Progress?

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 10 Jul 2015 01:51:28 +0000

Jeff,

The first set of S-BFD documents finished WG LC about 2 months ago.

However, they are still in “WG Doc” or “In WGLC” state, with no shepherd assigned and no write-up [1] [2] [3]; their related Milestones are months past due.

What is the target timeline for submitting these to the IESG?

Thanks,

— Carlos.

[1] https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-use-case/ <https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-use-case/> “WG Document Dec 2014"
[2] https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-base/ <https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-base/> “In WG Last Call Mar 2015”
[3] https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-ip/ <https://datatracker.ietf.org/doc/draft-ietf-bfd-seamless-ip/> “In WG Last Call Mar 2015"

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 10 Jul 2015 10:32:20 -0400

Carlos,

> What is the target timeline for submitting these to the IESG?

Likely the next day or so.

We are running into two issues:
- BFD is a small WG and the active participants are also mostly the active
  authors as well.  This means opportunities for assigning impartial
  shepherds can be tricky.  And since Nobo is a contributor on these drafts,
  the work largely falls to me.
- I've been crazy busy at work and have been tardy on a number of IETF
  items.

So, mea culpa.

For the future, if we can identify an active WG member set for shepherding
at last call time that isn't a chair, we might have better speed the next
time.

-- Jeff

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Fri, 10 Jul 2015 18:30:03 +0000

> On Jul 10, 2015, at 10:32 AM, Jeffrey Haas <[email-masked]> wrote:
> 

Thank you, Jeff!

— Carlos.

---

From: Jeffrey Haas <[email-masked]>
Date: Thu, 30 Jul 2015 16:06:57 -0400

> > Likely the next day or so.

True to my general nature, my days follow the timelines that many software
developers mean when they say "just a few days".  In other words, the caveat
is, "when I can work on that without interruption". 

Such a precious illusion. 

With apologies to the Working Group, I've completed the document shepherd
writeup for the S-BFD document set and have submitted the drafts for IESG
publication.

One minor issue was noted during the writeup - that being the normative
reference on a spring document that still hasn't been accepted as a working
group document in spring.  Based on how this use case is being used to
support a particular use case in Seamless BFD, a normative reference is
appropriate.  However, since both documents are targeted for Informational
status, an Informative reference may be similarly appropriate.

The authors of Seamless BFD should consider whether a change in status may
be appropriate as it would remove an obstacle to publication as an RFC.

-- Jeff

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 30 Jul 2015 22:34:11 +0000

On Jul 30, 2015, at 22:04, Jeffrey Haas <[email-masked]<mailto:[email-masked]>> wrote:

On Jul 10, 2015, at 10:32 AM, Jeffrey Haas <[email-masked]<mailto:[email-masked]>> wrote:

Thank you, Jeff!

I agree that an Informative reference is appropriate in this case, although either Normative or Informative can easily be argued.

My preference would be to move this reference to Informative.

Also, in scanning through the draft, I noticed a set of additional minor issues:

"2<https://tools.ietf.org/html/draft-ietf-bfd-seamless-use-case-02#section-2>.  Introduction to Seamless BFD

   BFD, as defined in standard [RFC5880<https://tools.ietf.org/html/rfc5880>], requires two network nodes, to
   exchange locally allocated discriminators.  The discriminator enables
   identification of the sender and receiver of BFD packets of the
   particular session and proactive continuity monitoring of the
   forwarding path between the two.  [RFC5881<https://tools.ietf.org/html/rfc5881>] defines single hop BFD
   whereas [RFC5883<https://tools.ietf.org/html/rfc5883>] and [RFC5884<https://tools.ietf.org/html/rfc5884>] defines multi-hop BFD."

In the text above, I see the following issues:
1. BFD is not a "standard", it's PS. I'd just remove "standard".
2. RFC 5884 does not define multi hop (5883 does), it defines BFD for MPLS LSPs
3. RFC 5885 (BFD for PWs) is missing.

Thanks,

Carlos.

-- Jeff